#
# spec file for package python-environ-config
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-environ-config
Version:        22.1.0
Release:        1.1
Summary:        Boilerplate-free configuration with env variables
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/hynek/environ_config
Source:         https://files.pythonhosted.org/packages/source/e/environ-config/environ-config-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-attrs >= 17.4.0
Conflicts:      python-django-environ
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module attrs >= 17.4.0}
BuildRequires:  %{python_module boto3}
BuildRequires:  %{python_module moto}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Boilerplate-free configuration with env variables.

%prep
%setup -q -n environ-config-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.rst CHANGELOG.rst
%{python_sitelib}/*

%changelog
* Fri Dec  9 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to 22.1.0 (2022-04-02)
  * Deprecations:
  Python 2.7, 3.5, and 3.6 support has been dropped. environ-config now requires Python 3.7 or later.
  * Changes:
  Lazily init the AWS SecretsManager client to make unit testing easier. #25
- Update to 21.2.0 (2021-05-17)
  * Deprecations:
  This is the last release supporting Python versions older than 3.7.
  * Changes:
  Added AWS SecretsManager support. #23
- Update to 21.1.0 (2021-04-14)
  * Backward-incompatible changes:
  none
  * Deprecations:
  none
  * Changes:
  Fixed environment variables’ names when prefix is empty. #14
  Added the optional keyword argument to environ.group() #17
  Added DirectorySecrets secret reader, which can read secrets from a directory of files.
  Useful for Docker or Kubernetes mounted secrets inside a container. #19
* Fri Jul 24 2020 John Vandenberg <jayvdb@gmail.com>
- Add Conflict with python-django-environ
* Tue Jul 21 2020 John Vandenberg <jayvdb@gmail.com>
- Update to v20.1.0
* Sat Mar  9 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v18.2.0
